package com.ruoyi.system.service.dingding;

import com.ruoyi.common.core.domain.entity.SysUser;

/**
 * <p>DingAuthService 此接口用于：</p>
 * <p>@remark：</p>
 */
public interface DingAuthService {

    /**
     * 根据用户手机号查询是否是公司员工
     *
     * @param userId 钉钉用户id
     * @return UIOT员工信息
     */
    SysUser getUserByUserId(String userId);

    /**
     * 根据用户手机号查询是否是公司员工
     *
     * @param mobile 钉钉用户手机号
     * @return UIOT员工信息
     */
    SysUser getUserByUsername(String mobile);

}